librdkafka (2.5.0-1) unstable; urgency=medium

  * New upstream release.
    - Update librdkafka1.symbols to add new symbols.
  * Build-Depend on libcurl4-openssl-dev, required for SASL OAUTHBEARER OIDC
    support.
  * Build-Depend on pkgconf, which results in build-dependent libraries to be
    listed in Requires.private (instead of Libs.private) in the shipped .pc.
  * Add all (necessary) Build-Depends as Depends of the -dev package. They
    were already required for static linking, but are now required for shared
    linking as well, when "pkgconf --cflags" is being used.
  * Use "pkgconf" instead of the deprecated "pkg-config" in autopkgtests.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 13 Aug 2024 14:53:59 +0300

librdkafka (2.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Update librdkafka1.symbols to add new symbols.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 21 May 2024 16:53:19 +0300

librdkafka (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Update librdkafka1.symbols to add new symbols.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 27 Oct 2023 17:10:33 +0300

librdkafka (2.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Update librdkafka1.symbols to add new (v2.1.0 and v2.2.0) symbols.
  * Update d/copyright with new copyright author for 2023.
  * Remove NEWS file with very old (2017) entries.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 14 Jul 2023 03:45:47 +0300

librdkafka (2.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Update librdkafka1.symbols to add new (2.0.0) symbols.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 09 Feb 2023 04:22:10 +0200

librdkafka (1.9.2-1) unstable; urgency=medium

  * New upstream release.
    - Update librdkafka1.symbols to add new (as of v1.9.0) symbols.
  * Upstream build system now generates an librdkafka-static.a that is
    identical to librdkafka.a. Add it to debian/no-installed.
  * Remove override_dh_auto_configure and the handcrafted ./configure; mklove
    now supports runstatedir, and therefore the automatic configure line
    works.
  * Add a patch (makefile-bashism-pr4147) to fix a bashism in the main
    Makefile, which resulted into the build tree becoming dirty.
  * Multiple debian/copyright updates:
    - Add entries for files that were undocumented before, and files
      introduced in this newer upstream release.
    - Update copyright years.
    - Remove license MIT, as a duplicate of Expat, already in the file.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 12 Jan 2023 04:13:14 +0200

librdkafka (1.8.0-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Add pristine-tar=True to gbp.conf

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.0.
  * Update symbol file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 19 Sep 2021 14:39:58 +0800

librdkafka (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Update librdkafka1.symbols for new symbols.
  * Drop versioned depends on liblz4-dev, satisfied by version in oldstable.
  * Add build dependency to rapidjson-dev, used in tests.
  * Cherry-pick /usr/share/doc files, addressing issues like duplicate files
    and cruft and associated lintian warnings (duplicate-changelog-files,
    extra-license-file).
  * Move documentation files to librdkafka-dev.docs (from .install) so that
    they are skipped in builds with the "nodoc" profile.
  * Remove dh_missing override, as the options are now defaults in
    compatibility level 13.
  * Remove a couple of --without from dh, as debhelper is smart enough to
    figure it out on its own.
  * d/copyright:
    - Update copyright years to include 2021.
    - Add a lot more stanzas, based on LICENSES.txt.
  * Add autopkgtests:
    - One that builds and runs a couple of examples, in C/C++
    - One that builds and runs a program that calls the library's
      rd_kafka_unittest symbol to perform testing under CI.
  * Update packages description with the text from upstream, that includes new
    capabilities (Admin client) and performance figures (800k -> 1 million
    msgs/sec).
  * Fix syntax for upstream metadata, and drop Name.
  * Bump Standards-Version to 4.5.1, no changes.
  * Bump watchfile to v4, no changes.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 08 Feb 2021 05:40:28 +0200

librdkafka (1.5.0-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Stop disabling PIE (Closes: #961957)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 11 Oct 2020 19:13:59 +0800

librdkafka (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 16 Sep 2020 22:59:26 +0800

librdkafka (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Add zstd support.
  * Bump compat to 13.
  * Remove upstream applied patches.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 May 2020 11:17:02 +0800

librdkafka (1.3.0-1) unstable; urgency=medium

  [ Christian Barcenas ]
  * New upstream version 1.3.0
  * d/patches:
    * Port build scripts to Python 3 (Closes: #936911)
    * Fix spelling errors in log output
  * d/control: Bump Standards-Version
  * d/copyright: License identifier 'MIT' -> 'Expat'
  * d/upstream: Add metadata

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Mar 2020 23:12:33 +0800

librdkafka (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Bump compat to 12.
    * Use debhelper-compat.
    * Override dh_auto_configure for not supported "--runstatedir=/run".
  * Remove upstream applied patch.
  * Remove unused override_dh_strip.
  * Set Rules-Requires-Root: no.
  * Add ChangZhuo Chen (陳昌倬) as Uploaders.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 15 Oct 2019 12:19:40 +0800

librdkafka (0.11.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch to fix hurd-i386 build (Closes: #900716).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 18:41:48 +0100

librdkafka (0.11.6-1) unstable; urgency=medium

  * New upstream version
  * Update librdkafka1.symbols for 0.11.6
  * Bump Standards-Version, no changes needed
  * Drop references to the supported protocol versions

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 24 Oct 2018 12:01:10 +0300

librdkafka (0.11.5-1) unstable; urgency=medium

  * New upstream release
  * Update librdkafka1.symbols for 0.11.5
  * Bump Standards-Version to 4.1.5, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 19 Jul 2018 17:06:55 +0300

librdkafka (0.11.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version, no changes needed
  * Update librdkafka1.symbols for 0.11.4
  * d/copyright:
    + Switch the copyright-format URL to https
    + Move license paragraph to the end

 -- Mpampis Kostas <charkost.rb@gmail.com>  Tue, 10 Apr 2018 13:19:03 +0300

librdkafka (0.11.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version, no changes needed
  * Add NEWS entry about librdkafka's configuration changes

 -- Mpampis Kostas <charkost.rb@gmail.com>  Mon, 18 Dec 2017 12:29:39 +0200

librdkafka (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 18 Oct 2017 12:44:25 +0300

librdkafka (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Update librdkafka1.symbols for 0.11.0
  * Add NEWS entry about librdkafka's configuration changes
  * Explicitly depend on libz4-dev with framing support (lz4frame.h)
  * Bump Standards-Version to 4.0.0, no changes needed
  * Setup gbp to use git as an upstream source

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 20 Jul 2017 15:52:06 +0300

librdkafka (0.9.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 21 Jun 2017 12:10:57 +0300

librdkafka (0.9.5-1) experimental; urgency=medium

  * New upstream release.
  * Add a README.source note about shipping lz4 in the upstream tarball.
    lz4 is not used in Debian builds.
  * Add copyright for the lz4 library.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 18 Apr 2017 12:30:07 +0300

librdkafka (0.9.4-1) experimental; urgency=medium

  [ Faidon Liambotis ]
  * Update debian/watch with upstream's new convention.

  [ Christos Trochalakis ]
  * New upstream release.
  * Update librdkafka1.symbols for 0.9.4.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Mon, 27 Feb 2017 11:42:12 +0200

librdkafka (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends to liblz4-dev to enable LZ4 compression.
  * Add copyright for xxhash.[hc] and regexp.[hc].
  * Update librdkafka1.symbols for 0.9.2 and 0.9.3.
  * Use hardening build flags.
  * Add myself to Uploaders.
  * Switch to debhelper 10.
  * Move packaging to alioth, under the pkg-kafka team.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 24 Jan 2017 17:33:40 +0200

librdkafka (0.9.1-1) unstable; urgency=medium

  * New upstream release (Closes: #816047).
    - Remove 0001-mklove-update-add-disable-silent-rules patch (not needed)
    - Remove 0002_hexdump_use_size_t_instead_of_int patch (not needed)
    - Fixes a GCC6-identified warning and possible FTBFS. (Closes: #811596)
  * Add Build-Depends to libssl-dev/libsasl2-dev, to enable Kafka 0.9
    encryption and authentication.
  * Update the long description to mention 0.9 protocol support and also the
    high-performance aspect, by copying upstream's description almost
    verbatim.
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Switch Vcs-Git to GitHub's https (from git://)
  * Migrate from our own -dbg package to the automatic -dbgsym package.
  * Update librdkafka1.symbols with 0.9.0' and 0.9.1's new symbols.
  * Ship the new C++ library, by shipping a new binary package, librdkafka++1.
  * Ship pkg-config files in the -dev package for both the C and C++
    libraries.
  * Replace the perl build-dependency by python, as the build system (among
    others) now requires it.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 30 May 2016 16:07:33 +0300

librdkafka (0.8.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use size_t instead of int for hexdump to fix FTBFS (Closes: 799993):
    assuming signed overflow does not occur when
    assuming that (X + c) >= X is always true

 -- YunQiang Su <syq@debian.org>  Mon, 21 Dec 2015 21:20:59 +0800

librdkafka (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Backport upstream commit f6fd0da, adding --disable-silent-rules
    compatibility support to mklove. (Closes: #788742)

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 19 Jul 2015 01:36:18 +0300

librdkafka (0.8.5-2) unstable; urgency=medium

  * Install rdkafka.pc in the right, multiarch location. (Closes: #766759)

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 26 Oct 2014 06:47:07 +0200

librdkafka (0.8.5-1) unstable; urgency=medium

  * New upstream release.
    - Fixes kFreeBSD FTBFS.
  * Ship rdkafka.pc pkg-config in librdkafka-dev.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 24 Oct 2014 18:03:22 +0300

librdkafka (0.8.4-1) unstable; urgency=medium

  * New upstream release, including a new build system.
    - Add Build-Depends on perl, required by configure.
    - Support multiarch library paths.
    - Better detection of architecture atomic builtins, supporting more
      architectures. (Closes: #739930)
    - Various portability bugs fixed. (Closes: #730506)
    - Update debian/librdkafka1.symbols.
  * Convert to a multiarch package.
  * Switch to Architecture: any, because of renewed upstream portability.
  * Update debian/copyright to add src/ before Files: paths.
  * Update Standards-Version to 3.9.6, no changes needed.
  * Ship only the C library for now, not the new C++ library; the latter is
    still in flux in some ways and will probably be shipped in a separate
    package in a future release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 22 Oct 2014 23:57:24 +0300

librdkafka (0.8.3-1) unstable; urgency=medium

  * New upstream release.
    - Multiple internal symbols hidden; breaks ABI without a SONAME bump, but
      these were internal and should not break any applications, packaged or
      not.
  * Update Standards-Version to 3.9.5, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 18 Feb 2014 02:21:43 +0200

librdkafka (0.8.1-1) unstable; urgency=medium

  * New upstream release.
    - Multiple fixes to FTBFS on various architectures. (Closes: #730506)
    - Remove dh_auto_clean override, fixed upstream.
  * Limit the set of architectures: upstream currently relies on 64-bit atomic
    operations that several Debian architectures do not support.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 05 Dec 2013 16:53:28 +0200

librdkafka (0.8.0-1) unstable; urgency=low

  * Initial release. (Closes: #710271)

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 04 Nov 2013 16:50:07 +0200
